/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.publisher.constants;

/**
 * Provides constants for the Asset Publisher portlet, panel category keys, and
 * the form navigator entry ID for the Asset Publisher configuration page.
 *
 * @author Eudaldo Alonso
 */
public class AssetPublisherConstants {

	public static final String CATEGORY_KEY_ASSET_SELECTION = "asset-selection";

	public static final String CATEGORY_KEY_DISPLAY_SETTINGS =
		"display-settings";

	public static final String CATEGORY_KEY_SUBSCRIPTIONS = "subscriptions";

	public static final String FORM_NAVIGATOR_ID_CONFIGURATION =
		"asset.publisher.configuration";

}