/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.publisher.util;

import com.liferay.asset.kernel.model.AssetEntry;

import java.util.List;

/**
 * Provides a wrapper class to group asset entries by asset category title.
 *
 * @author Eudaldo Alonso
 */
public class AssetEntryResult {

	public AssetEntryResult(List<AssetEntry> assetEntries) {
		_assetEntries = assetEntries;
	}

	public AssetEntryResult(String title, List<AssetEntry> assetEntries) {
		_title = title;
		_assetEntries = assetEntries;
	}

	public List<AssetEntry> getAssetEntries() {
		return _assetEntries;
	}

	public String getTitle() {
		return _title;
	}

	public void setAssetEntries(List<AssetEntry> assetEntries) {
		_assetEntries = assetEntries;
	}

	public void setTitle(String title) {
		_title = title;
	}

	private List<AssetEntry> _assetEntries;
	private String _title;

}